import { Module } from '@nestjs/common';
import { PrismaService } from './adapters/secondaries/prisma-service';
import { UserRepository } from './domain/user-repository';

@Module({
  providers: [PrismaService, UserRepository],
  exports: [PrismaService, UserRepository],
})
export class DatabaseModule {}
